Bug 1344805 - Many queued tasks from same user can block other user tasks
Summary: Many queued tasks from same user can block other user tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 21:57 UTC by Stephen Just
Modified: 2016-10-03 20:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:06:39 UTC


Attachments (Terms of Use)

Description Stephen Just 2016-06-10 21:57:46 UTC
Description of problem:

Right now, it appears that a thousand tasks are queued for the rubygems project as part of a massive import effort. Throughout the day, this project has been occupying approximately 14 builders.

The problem seems to be that if no other users have any tasks within the first 200 tasks at the front of the queue, they will not be started even if there are builders available, leaving several builders idle for hours at a time, and blocking other builds from completing for many hours.

At the time of writing, there are currently over 1000 tasks in the build queue.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Send >>200 jobs to COPR at once.
2. Watch as no other user's jobs get run.

Actual results:

Per-user throttling can leave builders idle if no other users have tasks near the top of the queue.


Expected results:

Tasks should be taken from further down the queue if there are builders available, and the next tasks are all being throttled.


Additional info:

Comment 1 clime 2016-06-30 22:18:24 UTC
Fixed by https://github.com/fedora-copr/copr/commit/1c51da66.

Thanks!

Comment 2 Fedora Update System 2016-08-17 14:24:36 UTC
copr-backend-1.92-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76bd2fb756

Comment 3 Fedora Update System 2016-08-17 14:24:52 UTC
copr-backend-1.92-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c6f580ff7

Comment 4 Fedora Update System 2016-08-17 14:43:20 UTC
copr-frontend-1.99-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 5 Fedora Update System 2016-08-17 14:43:39 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 6 Fedora Update System 2016-08-18 01:50:23 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 7 Fedora Update System 2016-08-18 01:51:09 UTC
copr-backend-1.92-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76bd2fb756

Comment 8 Fedora Update System 2016-08-18 01:51:22 UTC
copr-frontend-1.99-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 9 Fedora Update System 2016-08-18 01:51:40 UTC
copr-backend-1.92-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c6f580ff7

Comment 10 clime 2016-08-18 16:22:35 UTC
New Copr has been released.

Comment 11 Fedora Update System 2016-09-12 06:25:22 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 12 Fedora Update System 2016-09-12 06:26:15 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 13 Fedora Update System 2016-09-12 14:50:50 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 14 Fedora Update System 2016-09-12 15:26:58 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 15 Fedora Update System 2016-10-03 17:23:04 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-03 20:20:59 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.